import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { AdsTypeMaster } from '../models';
import { AdsTypeMasterRepository } from '../repositories';
export declare class AdsTypeMasterController {
    adsTypeMasterRepository: AdsTypeMasterRepository;
    constructor(adsTypeMasterRepository: AdsTypeMasterRepository);
    create(adsTypeMaster: Omit<AdsTypeMaster, 'adsTypeId'>): Promise<AdsTypeMaster>;
    count(where?: Where<AdsTypeMaster>): Promise<Count>;
    find(filter?: Filter<AdsTypeMaster>): Promise<AdsTypeMaster[]>;
    updateAll(adsTypeMaster: AdsTypeMaster, where?: Where<AdsTypeMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<AdsTypeMaster>): Promise<AdsTypeMaster>;
    updateById(id: number, adsTypeMaster: AdsTypeMaster): Promise<void>;
    replaceById(id: number, adsTypeMaster: AdsTypeMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
